=== docs/reference/CMakeLists.txt ===
# 
# Swami
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

add_subdirectory ( libswami )
add_subdirectory ( swamigui )
