=== debian/changelog ===
swami (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jan 2020 20:24:04 +0100

swami (2.2.0-1) experimental; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Add a french manpage
  * Add french support for the desktop file
  * Update d/copyright (http -> https) and add myself

  [ Dennis Braun ]
  * New upstream release
    - Fix compatibility with fluidsynth 2.0 (Closes: #946919)
  * d/control:
    + Bump debhelper-compat version to 12
    + Bump standards version to 4.5.0
    + Update B-D
    + Update homepage
  * d/copyright:
    + Update copyright year
    + Update email of element
    + Update Source URL
    + Add CC0-1.0 text
    + Add myself to the debian section
  * d/get-svn-source.sh: Drop, obsolete
  * d/patches: Update patchset
  * d/README.source: Drop, obsolete
  * d/source/local-options: Drop, obsolete
  * Update d/watch file for github releases

  [ Sebastian Ramacher ]
  * SONAME bump: libswami{,gui}0 -> libswami{,gui}1
  * debian/patches: Honor CFLAGS/CPPFLAGS
  * debian/control: Remove unused python-dev B-D (Closes: #943232)
  * debian/control: Set RRR: no

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 26 Jan 2020 18:02:15 +0100
