=== debian/control ===
Source: swami
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 docbook-xml,
 gettext,
 gtk-doc-tools,
 intltool,
 libasound2-dev,
 libfftw3-dev,
 libfluidsynth-dev (>= 2.0.0),
 libglade2-dev,
 libgnomecanvas2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8.17),
 libinstpatch-dev (>= 1.1),
 libjack-dev,
 libpng-dev,
 libpopt-dev,
 librsvg2-dev (>= 2.8),
 libsndfile1-dev,
 pkg-config
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/swami.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/swami
Homepage: https://github.com/swami/swami
Rules-Requires-Root: no

Package: swami
Architecture: any
Depends:
 libswami1 (= ${binary:Version}),
 libswamigui1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 jackd
Description: MIDI instrument editor application
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.

Package: libswami1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI instrument editor - shared library
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package provides the shared library.

Package: libswamigui1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI instrument editor - shared GUI library
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package provides the shared library for the GUI.

Package: libswami-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnomecanvas2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8.17),
 libinstpatch-dev,
 libswami1 (= ${binary:Version}),
 libswamigui1 (= ${binary:Version}),
 ${misc:Depends}
Description: MIDI instrument editor - development files
 Swami (Sampled Waveforms And Musical Instruments) is an application
 for editing and managing MIDI instruments, such as SoundFont files.
 A programming API is also provided for integration with other
 applications.
 .
 This package contains the headers files.
