=== debian/changelog ===
swami (2.2.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Jan 2021 14:04:33 -0500

swami (2.2.1-1) unstable; urgency=medium

  * New upstream release 2.2.1
  * Drop desktop patches, applied by upstream
  * Add d/upstream/metadata
  * Bump dh-compat to 13
  * Add me as uploader
  * Add libswami-dev as Build-Depends-Package to the symbols files
  * Update the symbols files with new functions

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 23:53:28 +0200
