## swami 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # 
 # Swami
 #
-# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
+# Copyright (C) 1999-2021 Element Green <element@elementsofsound.org> and others
 #
 # See COPYING license file for distribution details
 #
 
 project ( Swami C )
-cmake_minimum_required ( VERSION 2.6.3 )
+cmake_minimum_required ( VERSION 2.8.12 )
 set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
 
 # Swami package name
@@ -16,7 +16,7 @@
 # Swami package version
 set ( SWAMI_VERSION_MAJOR 2 )
 set ( SWAMI_VERSION_MINOR 2 )
-set ( SWAMI_VERSION_MICRO 1 )
+set ( SWAMI_VERSION_MICRO 2 )
 set ( VERSION "${SWAMI_VERSION_MAJOR}.${SWAMI_VERSION_MINOR}.${SWAMI_VERSION_MICRO}" )
 set ( SWAMI_VERSION "\"${VERSION}\"" )
 
@@ -31,7 +31,7 @@
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LIB_VERSION_CURRENT 1 )
 set ( LIB_VERSION_AGE 0 )
-set ( LIB_VERSION_REVISION 1 )
+set ( LIB_VERSION_REVISION 2 )
 set ( LIB_VERSION_INFO 
       "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )
 
@@ -112,7 +112,7 @@
 find_package ( PkgConfig REQUIRED )
 
 # Mandatory library libinstpatch
-pkg_check_modules ( LIBINSTPATCH REQUIRED libinstpatch-1.0>=1.1 )
+pkg_check_modules ( LIBINSTPATCH REQUIRED libinstpatch-1.0>=1.1.6 )
 
 # Mandatory libraries: GTK+ and libgnomecanvas
 pkg_check_modules ( GUI REQUIRED gtk+-2.0>=2.12 libgnomecanvas-2.0>=2.0 )
