=== src/CMakeLists.txt ===
# 
# Swami
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

# Process subdirectories 
add_subdirectory ( libswami )
add_subdirectory ( swamigui )
add_subdirectory ( plugins )
