=== src/swamigui/images/CMakeLists.txt ===
# 
# Swami
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

install ( FILES
    DLS.png
    GIG.png
    SLI.png
    SoundFont.png
    concave_neg_bi.png
    concave_neg_uni.png
    concave_pos_bi.png
    concave_pos_uni.png
    effect_control.png
    effect_default.png
    effect_graph.png
    effect_set.png
    effect_view.png
    convex_neg_bi.png
    convex_neg_uni.png
    convex_pos_bi.png
    convex_pos_uni.png
    global_zone.png
    inst.png
    knob.png
    linear_neg_bi.png
    linear_neg_uni.png
    linear_pos_bi.png
    linear_pos_uni.png
    loop_none.png
    loop_standard.png
    loop_release.png
    modenv.png
    modenv_attack.png
    modenv_decay.png
    modenv_delay.png
    modenv_hold.png
    modenv_release.png
    modenv_sustain.png
    modulator_editor.png
    modulator_junct.png
    mute.png
    piano.png
    preset.png
    python.png
    sample.png
    sample_rom.png
    sample_viewer.png
    splash.png
    splits.png
    swami_logo.png
    switch_neg_bi.png
    switch_neg_uni.png
    switch_pos_bi.png
    switch_pos_uni.png
    tree.png
    tuning.png
    velocity.png
    volenv.png
    volenv_attack.png
    volenv_decay.png
    volenv_delay.png
    volenv_hold.png
    volenv_release.png
    volenv_sustain.png

    DESTINATION ${IMAGES_DIR}
)
