=== debian/changelog ===
swami (2.2.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113553)

 -- Adrian Bunk <bunk@debian.org>  Thu, 16 Oct 2025 15:58:11 +0300

swami (2.2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062935

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:51:45 +0000

swami (2.2.2-2) unstable; urgency=medium

  * Team upload
  * Drop unnecessary Build-Depends: libglade2-dev (Closes: #967888)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Bastian Germann <bage@debian.org>  Fri, 20 Oct 2023 23:29:32 +0200

swami (2.2.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.2.2
  * Bump S-V to 4.5.1
  * Bump libinstpatch-dev B-D version to 1.1.6
  * Bump d/copyright year
  * Update the symbols files with new functions
  * Remove unnecessary LDFLAGS from d/rules
  * Refresh patch

  [ Sebastian Ramacher]
  * debian/*.symbols: Mark internal symbols as optional

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jan 2021 16:06:22 +0100
