=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: swami
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Dennis Braun <d_braun@kabelmail.de>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  cmake,
  debhelper-compat (= 13),
  docbook-xml,
@@ -16,17 +15,16 @@
  libasound2-dev,
  libfftw3-dev,
  libfluidsynth-dev (>= 2.0.0),
- libglade2-dev,
- libgnomecanvas2-dev (>= 2.0),
- libgtk2.0-dev (>= 2.8.17),
- libinstpatch-dev (>= 1.1),
+ libgnomecanvas2-dev,
+ libgtk2.0-dev,
+ libinstpatch-dev (>= 1.1.6~),
  libjack-dev,
  libpng-dev,
  libpopt-dev,
- librsvg2-dev (>= 2.8),
+ librsvg2-dev,
  libsndfile1-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/swami.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/swami
 Homepage: https://github.com/swami/swami
@@ -35,8 +33,8 @@
 Package: swami
 Architecture: any
 Depends:
- libswami1 (= ${binary:Version}),
- libswamigui1 (= ${binary:Version}),
+ libswami1t64 (= ${binary:Version}),
+ libswamigui1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -47,7 +45,10 @@
  A programming API is also provided for integration with other
  applications.
 
-Package: libswami1
+Package: libswami1t64
+Provides: ${t64:Provides}
+Replaces: libswami1
+Breaks: libswami1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -62,7 +63,10 @@
  .
  This package provides the shared library.
 
-Package: libswamigui1
+Package: libswamigui1t64
+Provides: ${t64:Provides}
+Replaces: libswamigui1
+Breaks: libswamigui1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -82,11 +86,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgnomecanvas2-dev (>= 2.0),
- libgtk2.0-dev (>= 2.8.17),
+ libgnomecanvas2-dev,
+ libgtk2.0-dev,
  libinstpatch-dev,
- libswami1 (= ${binary:Version}),
- libswamigui1 (= ${binary:Version}),
+ libswami1t64 (= ${binary:Version}),
+ libswamigui1t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: MIDI instrument editor - development files
  Swami (Sampled Waveforms And Musical Instruments) is an application
