=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/swami-$1\.tar\.gz/ \
  https://github.com/swami/swami/tags .*/v?(\d\S+)\.tar\.gz
